org.codehaus.plexus.tools.cli

## Interface Cli

All Known Implementing Classes:
  AbstractCli

    public interface Cli

Author:
  Jason van Zyl

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.commons.cli.Options` `buildCliOptions(org.apache.commons.cli.Options options)`
`String` `getPomPropertiesPath()`
`void` `invokePlexusComponent(org.apache.commons.cli.CommandLine cli, org.codehaus.plexus.PlexusContainer container)`

### Method Detail

#### buildCliOptions

    org.apache.commons.cli.Options buildCliOptions(org.apache.commons.cli.Options options)

#### invokePlexusComponent

    void invokePlexusComponent(org.apache.commons.cli.CommandLine cli,
                               org.codehaus.plexus.PlexusContainer container)
                        throws Exception

Throws:
  `Exception`

#### getPomPropertiesPath

    String getPomPropertiesPath()